Bug 119171 - Some table border formatting is not saved
Summary: Some table border formatting is not saved
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, filter:docx, regression
Depends on:
Blocks: Table-Borders
  Show dependency treegraph
 
Reported: 2018-08-09 10:55 UTC by perlancar
Modified: 2019-08-19 14:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test-border-format.docx (4.58 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-08-10 01:51 UTC, perlancar
Details
test-border-format.doc (10.50 KB, application/msword)
2018-08-10 01:52 UTC, perlancar
Details
test-border-format.odt (8.63 KB, application/vnd.oasis.opendocument.text)
2018-08-10 01:52 UTC, perlancar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description perlancar 2018-08-09 10:55:44 UTC
Description:
Some table border formatting is not saved.

Happens when saving to .docx. Does not happen when saving to .odt (but not tested extensively, might also happen with more complex formatting).

Steps to Reproduce:
1. Create document, save in .docx.

2. Create a table, e.g. 3x3.

3. Apply some border formatting, e.g. all no borders, then top+bottom border for first row, then bottom border for 3rd row.

4. Save, close, reopen.

Actual Results:
All rows now have top+bottom border, including row 2.

Expected Results:
Original formatting should be restored.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2018-08-09 15:42:20 UTC
no repro with Version: 6.2.0.0.alpha0+
Build ID: ea59fc4831b9d2430de51faa8c3e0a24e6d90cd1
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 


Please attach test file in .odt format.
Comment 2 perlancar 2018-08-10 01:51:47 UTC
Created attachment 144078 [details]
test-border-format.docx
Comment 3 perlancar 2018-08-10 01:52:10 UTC
Created attachment 144079 [details]
test-border-format.doc
Comment 4 perlancar 2018-08-10 01:52:46 UTC
Created attachment 144080 [details]
test-border-format.odt
Comment 5 perlancar 2018-08-10 01:53:41 UTC
Attachment added. Note that this happens when saving to .docx. Does not happen when saving to .odt (and .doc).
Comment 6 Xisco Faulí 2018-08-10 11:26:21 UTC
so, which are the steps to follow?
We open the .ODT file and save it as .DOCX?

Moving it back to UNCONFIRMED until someone
else confirms it.
Comment 7 perlancar 2018-08-10 12:02:10 UTC
@Xisco Yes.
Comment 8 raal 2018-08-11 12:40:10 UTC
Confirm with LO 6.2, Linux

I tried to bibisect this regression with bibisect-43max, but get lots of crashes.
Comment 9 Terrence Enger 2018-08-13 15:19:20 UTC
Is This problem different from bug 118753?
Comment 10 QA Administrators 2019-08-19 06:54:42 UTC
Dear perlancar,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug